<script>
export default {
	globalData: {
		timer: null, // 定时器变量
		themeColor: "#00b666",
		themeBackgroundColor: "#00b66621",
	},
	onShow: function (options) {
		let that = this;
		console.log("show 项目init：", options, decodeURIComponent(options.query.scene));
		// 清除扫码获取的id信息
		uni.removeStorageSync("scene");
		uni.removeStorageSync("user_scene");
		uni.removeStorageSync("user_options", options);

		if (options.query.id) {
			uni.setStorageSync("apply-jobdetail-id", options.query.id);
		} else {
			uni.setStorageSync("apply-jobdetail-id", 0);
		}

		if (options.query.scene) {
			let str = decodeURIComponent(options.query.scene);
			uni.setStorageSync(
				"apply-invite-code",
				JSON.stringify({
					key: str.split("=")[0],
					value: str.split("=")[1],
				})
			);
		} else {
			uni.setStorageSync("apply-invite-code", "");
		}
		if (uni.getStorageSync("apply-token")) {
			this.G.checkToken();
		}
		if (!that.globalData.timer) {
			if (uni.getStorageSync("apply-token")) {
				that.checkNum();
			}
			that.globalData.timer = setInterval(() => {
				console.log("inner++++++++++++++++++++ +++++++++++++++++++++++++++");
				if (uni.getStorageSync("apply-token")) {
					that.checkNum();
				}
			}, 1 * 30 * 1000);
		}
	},
	onHide: function () {},
	methods: {
		checkNum() {
			let that = this;
			if (uni.getStorageSync("apply-token")) {
				that.G.Get(
					that.api.bind_getWaitNum + "/" + 1,
					{
					},
					(res) => {
						console.log("获取待处理数量：", res);
						if (res.unread > 0) {
							uni.setTabBarBadge({
								index: 1,
								text: String(res.unread),
							});
						} else {
							uni.removeTabBarBadge({
								index: 1,
							});
						}
					}
				);
			}
		},
	},
};
</script>

<style lang="scss">
@import "./static/css/iconfont.css";
@import "./uni_modules/vk-uview-ui/index.scss";
@import "./static/css/base.scss";
@import "./static/font/iconfont-weapp-icon.css";

// #ifdef MP-WEIXIN
page {
	width: 100vw;
	height: 100vh;
}

// #endif
// #ifdef H5 || APP-PLUS || MP-TOUTIAO || MP-KUAISHOU
page {
	width: 100vw;
	height: calc(100% - 0px);
	--color-ysd: #ff4400;
	--color-hover: #ff4400cc;
	--color-be: #ff4400;
	--color-027: #ff4400;
	--color-href: #576b95;
}

// #endif

// uview默认样式覆盖
.u-badge-mini {
	top: 22rpx !important;
	right: 102rpx !important;
	color: transparent !important;
	width: 10px !important;
	height: 10px !important;
	border-radius: 50% !important;
}

.u-radio {
	&:last-child {
		.u-radio__label {
			margin-right: 0;
		}
	}
}

.g-apply-tab {
	.u-tab-bar {
		bottom: -2px !important;
	}
}
</style>
